# Sets up the connection between the gitlab API and the CMS
backend:
  name: gitlab # Which git handling software is used, i.e. not github
  repo: web/tellus # Path to your GitLab repository
  auth_type: pkce # Required for pkce, https://oauth.net/2/pkce/
  app_id: afb0308abd2e74f7659f32fa22283a213f445ac9ce06a04253a63dec5a422791 # Application ID from your GitLab settings
  api_root: https://gitlab.irf.se/api/v4
  base_url: https://gitlab.irf.se
  auth_endpoint: oauth/authorize
  branch: master
  commit_messages:
    create: "Create {{path}} by {{author-login}}"
    update: "Update {{path}} by {{author-login}}"
    delete: "Delete {{path}} by {{author-login}}"
    uploadMedia: "Upload {{path}} by {{author-login}}"
    deleteMedia: "Delete {{path}} by {{author-login}}"

i18n:
  structure: multiple_files # each piece of content is filed as slug.<sv|en>.md
  locales: [sv, en] # not really locales but language codes
  defaultLocale: sv # which means each piece of content MUST have a slug.sv.md

slug:
  encoding: "ascii" # defaults to unicode
  clean_accents: true # åäö -> aao

locale: sv # CMS UI language
editor:
  preview: true # make the live markdown preview pane available
show_preview_links: false #hide the "kontrollera förhandsvisning" preview link
publish_mode: editorial_workflow
logo_url: /branding/irf.svg # Displayed on login screen (before gitlab)
# "preview_path" links to "view live" from top bar are prefixed with this
# site_url: https://www.irf.se

# Media and public folders are relative to the content folder for Collections
# (uploads are stored in the same dir as the markdown files by default).
# This hides them from the complete media gallery view.
# To instead always point to the global media folder, each collection needs an absolute link (begin with /).
# The DecapCMS docs are not very clear on this.
media_folder: assets # where DecapCMS should store uploaded files, relative to git project root
# Empty string because Hugo copies everything from every staticDir into the deploy root dir during build
public_folder: "" # where uploaded files are found after Hugo build

# decap.collections == hugo.sections
# all top level folder names in /content
collections:
  - name: "medarbetare"
    label: "Kontaktuppgifter"
    description: "Synkroniseras med LDAP schemalagt via gitlab-ci"
    folder: www/medarbetare
    hide: true
    fields:
      - name: title
        widget: hidden
      - name: asciiname
        widget: hidden
      - name: office
        widget: hidden
      - name: job
        widget: hidden
      - name: programme
        widget: hidden
  - name: "om-irf"
    label: "Om IRF"
    label_singular: "sida under 'Om IRF'"
    description: "Generell information om IRF, som inte passar bättre i andra infosamlingar."
    folder: www/om-irf
    media_folder: "/{{media_folder}}"
    public_folder: ""
    i18n: true
    create: true
    delete: true
    sortable_fields: []
    summary: "{{decapsum}}{{slug}}"
    path: "{{dirname | ternary('/','')}}{{dirname}}{{dirname | ternary('/','')}}{{slug}}"
    preview_path: om-irf/{{dirname}}/{{filename}}
    fields:
      - name: "decapsum"
        widget: hidden
      - label: "Utvald bild"
        name: "cover"
        i18n: true
        widget: "object"
        fields:
          - widget: "image"
            name: image
            hint: Beskärs automatiskt till 750x410px så för bästa effekt, beskär själv till ca 16:9
            label: "Bild"
            i18n: "duplicate"
            required: false
          - widget: "string"
            label: "Alternativtext (alt)"
            hint: >
              Beskriv som om det vore i radio, tex
              "Instrumentet RPWI ligger på bordet i ett renrum, 
              forskaren Jan-Erik Wahlund inspekterar det iklädd skyddskläder."
              Lämna blankt om bilden är enbart dekorativ 
              (har inget med innehållet att göra).
            name: alt
            i18n: true
            required: false
          - widget: "string"
            name: cred
            required: false
            label: "Credit/copyright"
            i18n: duplicate
            hint: >
              Visas i nedre högra hörnet av utvald bild tillsammans med ©-ikon.
              Format: ORG/Person, ORG2 (tex IRF/Hans Nilsson, ESA).
              Om bilden har en Photographer eller Copyright-tagg i EXIF används den och behöver inte fyllas i här.
      - label: "Titel"
        hint: "Ska inte upprepas i brödtexten"
        name: "title"
        widget: "string"
        i18n: true
      - label: "Brödtext"
        name: "body"
        widget: "richtext"
        buttons:
          - bold
          - italic
          - strikethrough
          - code
          - link
          - heading-two
          - heading-three
          - heading-four
          - heading-five
          - heading-six
          - quote
          - bulleted-list
          - numbered-list
        required: false
        i18n: true
      - label: "Visa andra språkets sida istället"
        hint: >
          Kryssa i när innehåll bara finns på det andra språket, men ska listas i det här språkets menyer ändå.
          Tex när vi förväntar oss att besökaren kan navigera vidare på engelska när den är på svenska sidan.
          Lämna brödtext tomt för detta språk.
        name: useTranslation
        widget: boolean
        required: false
        default: false
        i18n: true
      - label: "Ansvarig för texten"
        hint: "Vem kontaktar man om man har frågor/synpunkter? Inte juridiskt ansvarig (för det är oftast GD) eller den som skrivit."
        name: "author"
        widget: "select"
        options: ["Magnus Wik","Peter Wintoft","Per Danielsson","Peje Nilsson","Fredrik Rutqvist","Mats Luspa","Olle Norberg","Sota Nanjo","Uwe Raffalski","Daria Mikhaylova","Martin Rönnfalk","Urban Brändström","Tomoko Futaana","Stefan Riekkola","Carol Norberg","Jonas Rabia","Hans Nilsson","Martin Wieser","Stas Barabash","Yikyeong Park","Angele Pontoni","Xiao-Dong Wang","Mats Holmström","Umberto Rollero","Jidapa Lakronwat","Manabu Shimoyama","Thomas Maynadié","Hayley Williamson","Yoshifumi Futaana","Gabriella Stenberg Wieser","Johan Kero","Tomoe Taki","Peter Dalin","Samson Moges","Peter Voelger","Daniel Martini","Tima Sergienko","Daniel Kastinen","János Stenszky","Sheila Kirkwood","Richard Johansson","Masatoshi Yamauchi","Lindis Merete Bjoland","Jhassmin Aricoche Del Campo","Juan Carlos Araújo Cabarcas","Anders Lejon","Maria Alvros","Maria Wästle","Anisa Vlassova","Stefan Hedlund","Annika Holmblad","Hjördis Mämmi","Celine Lundqvist","Carina Gunillasson","Cecilia Flemström","Magdalena Wäppling","Annelie Klint Nilsson","Leif Kalla","Csilla Szasz","Tsz-Hin Heung","Hampus Andersson","Lars-Henrik Snow","Andreas Lindström","Magnus Oja","Adrian Duly","Arjun Monga","David Upton","Jonas Olsen","Mate Kerenyi","Vesa Alatalo","Ross McGarrie","Joakim Rotmalm","Robert Labudda","Rikard Ottemark","Stefan Karlsson","Andreas Edström","Daniel Stålnacke","Maximilian Wecker","Jack White","Long Cheng","Erik Vigren","Inaki Vidal","Jan Bergman","Jinghuan Li","Moa Persson","Alice Wallner","Daniel Graham","David Andrews","Louis Richard","Mengmeng Wang","Niklas Edberg","Andrew Dimmock","Harriet George","Konstantin Kim","Anders Eriksson","Cecilia Norgren","Michiko Morooka","Stefan Eriksson","Stephan Buchert","Vanina Lanabere","Atlas Silverhult","Jan-Erik Wahlund","Emiliya Yordanova","Yuri Khotyaintsev","Apostolos Kolokotronis","Thomas Leyser","Jenny Andersson","Jan Karlsson","Reine Gill","Tomi Teppo","Dan Ohlsson","Farid Shiva","Ilona Benko","Walter Puccio","Erik Johansson","Thomas Nilsson","Martin Berglund","Victoria Cripps","Niklas Hällback","Björn Mårtensson","Jesper Fredriksson"]
        i18n: "duplicate"
        multiple: false
        required: true
      - label: "Taggar"
        hint: >
          Kommaseparerad lista, ska översättas. Konvention med exempel i parantes: 
          Projekt (ALIS), ämne (norrsken, rymdväder)
        name: "tags"
        widget: list
        required: false
        i18n: true
      - label: "Skapad"
        name: "date"
        widget: "datetime"
        format: "YYYY-MM-DDTHH:mm:ssZ"
        i18n: "duplicate"
        required: true
        default: "{{now}}"
      - label: "Undersida till"
        hint: >
          Används bara när du vill flytta en sida. Ligger den redan "rätt" kan fältet lämnas tomt.
        name: "parent"
        widget: "relation"
        collection: "om-irf"
        i18n: "duplicate"
        value_field: "{{slug}}"
        display_fields: ["{{title}}"]
        search_fields: ["title"]
        multiple: false
        required: false
      - label: Layout
        name: layout
        widget: hidden
  - name: "i-rymden"
    label: "└─ IRF i rymden"
    label_singular: "sida under IRF i rymden (Rymdmission)"
    description: "Rymdmissioner IRF har deltagit i"
    folder: www/i-rymden
    media_folder: "/{{media_folder}}"
    public_folder: ""
    i18n: true
    create: true
    delete: true
    sortable_fields: []
    summary: "{{decapsum}}{{slug}}"
    path: "{{dirname | ternary('/','')}}{{dirname}}{{dirname | ternary('/','')}}{{slug}}"
    preview_path: i-rymden/{{dirname}}/{{filename}}
    fields:
      - name: "decapsum"
        widget: hidden
      - label: "Utvald bild"
        name: "cover"
        i18n: true
        widget: "object"
        fields:
          - widget: "image"
            name: image
            hint: >
              Beskärs automatiskt till 750x410px så för bästa effekt, beskär själv till ca 16:9.
              För Hero-bilder (se Status-fältet) beskärs istället till 3:1 (1500x500px).
            label: "Bild"
            i18n: "duplicate"
            required: false
          - widget: "string"
            label: "Alternativtext (alt)"
            hint: >
              Beskriv som om det vore i radio, tex
              "Instrumentet RPWI ligger på bordet i ett renrum, 
              forskaren Jan-Erik Wahlund inspekterar det iklädd skyddskläder."
              Lämna blankt om bilden är enbart dekorativ 
              (har inget med innehållet att göra).
            name: alt
            i18n: true
            required: false
          - widget: "string"
            name: cred
            required: false
            label: "Credit/copyright"
            i18n: duplicate
            hint: >
              Visas i nedre högra hörnet av utvald bild tillsammans med ©-ikon.
              Format: ORG/Person, ORG2 (tex IRF/Hans Nilsson, ESA).
              Om bilden har en Photographer eller Copyright-tagg i EXIF används den och behöver inte fyllas i här.
      - label: "Titel"
        hint: "Ska inte upprepas i brödtexten"
        name: "title"
        widget: "string"
        i18n: true
      - label: "Brödtext"
        name: "body"
        widget: "richtext"
        buttons:
          - bold
          - italic
          - strikethrough
          - code
          - link
          - heading-two
          - heading-three
          - heading-four
          - heading-five
          - heading-six
          - quote
          - bulleted-list
          - numbered-list
        required: false
        i18n: true
      - label: "Ansvarig för texten"
        hint: "Vem kontaktar man om man har frågor/synpunkter? Inte juridiskt ansvarig (för det är oftast GD) eller den som skrivit."
        name: "author"
        widget: "select"
        options: ["Magnus Wik","Peter Wintoft","Per Danielsson","Peje Nilsson","Fredrik Rutqvist","Mats Luspa","Olle Norberg","Sota Nanjo","Uwe Raffalski","Daria Mikhaylova","Martin Rönnfalk","Urban Brändström","Tomoko Futaana","Stefan Riekkola","Carol Norberg","Jonas Rabia","Hans Nilsson","Martin Wieser","Stas Barabash","Yikyeong Park","Angele Pontoni","Xiao-Dong Wang","Mats Holmström","Umberto Rollero","Jidapa Lakronwat","Manabu Shimoyama","Thomas Maynadié","Hayley Williamson","Yoshifumi Futaana","Gabriella Stenberg Wieser","Johan Kero","Tomoe Taki","Peter Dalin","Samson Moges","Peter Voelger","Daniel Martini","Tima Sergienko","Daniel Kastinen","János Stenszky","Sheila Kirkwood","Richard Johansson","Masatoshi Yamauchi","Lindis Merete Bjoland","Jhassmin Aricoche Del Campo","Juan Carlos Araújo Cabarcas","Anders Lejon","Maria Alvros","Maria Wästle","Anisa Vlassova","Stefan Hedlund","Annika Holmblad","Hjördis Mämmi","Celine Lundqvist","Carina Gunillasson","Cecilia Flemström","Magdalena Wäppling","Annelie Klint Nilsson","Leif Kalla","Csilla Szasz","Tsz-Hin Heung","Hampus Andersson","Lars-Henrik Snow","Andreas Lindström","Magnus Oja","Adrian Duly","Arjun Monga","David Upton","Jonas Olsen","Mate Kerenyi","Vesa Alatalo","Ross McGarrie","Joakim Rotmalm","Robert Labudda","Rikard Ottemark","Stefan Karlsson","Andreas Edström","Daniel Stålnacke","Maximilian Wecker","Jack White","Long Cheng","Erik Vigren","Inaki Vidal","Jan Bergman","Jinghuan Li","Moa Persson","Alice Wallner","Daniel Graham","David Andrews","Louis Richard","Mengmeng Wang","Niklas Edberg","Andrew Dimmock","Harriet George","Konstantin Kim","Anders Eriksson","Cecilia Norgren","Michiko Morooka","Stefan Eriksson","Stephan Buchert","Vanina Lanabere","Atlas Silverhult","Jan-Erik Wahlund","Emiliya Yordanova","Yuri Khotyaintsev","Apostolos Kolokotronis","Thomas Leyser","Jenny Andersson","Jan Karlsson","Reine Gill","Tomi Teppo","Dan Ohlsson","Farid Shiva","Ilona Benko","Walter Puccio","Erik Johansson","Thomas Nilsson","Martin Berglund","Victoria Cripps","Niklas Hällback","Björn Mårtensson","Jesper Fredriksson"]
        i18n: "duplicate"
        multiple: false
        required: true
      - label: Destination
        hint: Himlakroppar, bestämd form (tex Jorden, Månen, Solen, Jupiter), ska översättas
        name: destination
        widget: "string"
        required: false
        i18n: true
      - label: Status
        hint: >
          Översätts automatiskt, tilldelas även en ikon (i parantes). Styr om missionen läggs till i 
          hero-bildspelet under i-rymden; "levererar data" och "på väg" hamnar i hero. Alla, oavsett
          status visas i sidospalter och i huvudinnehållet på landningssidan.
        name: status
        widget: "select"
        i18n: "duplicate"
        default: "development"
        options:
          - label: "Levererar / Transmitting -data (omloppsbana)"
            value: "active"
          - label: "Slutförd / Completed (bock)"
            value: "completed"
          - label: "Under utveckling / -development (glödlampa)"
            value: "development"
          - label: "Misslyckad / Failure (kryss)"
            value: "failure"
          - label: "På väg / In transit (raket)"
            value: "transit"
      - label: Uppsändning (år)
        hint: >
          Format: Fyra siffror, tex 2000. 
          Kan istället sättas med exakt datum i formatet YYYY-MM-DD om detaljerad info finns. 
          Visar dock bara årtal. Välj planerat eller faktiskt datum för uppskjutning.
          Används för huvudsaklig sorteringsordning i listor. Om datum saknas sorteras den först, antas vara
          planerat projekt.
        name: launch
        widget: "string"
        i18n: "duplicate"
        required: false
      - label: Instrument
        hint: >
          IRFs instrument ombord, förkortning/namn och eventuell förklaring visas oftast i parantes. 
          Används för att koppla ihop taggade artiklar med förkortningen.
        name: instruments
        widget: list
        i18n: true
        required: false
        fields:
          - label: "Förkortning / kort namn"
            name: shortname
            widget: string
            required: true
            hint: "tex COMPLIMENT, Medusa, Langmuirprob"
          - label: "Fullständigt namn"
            name: longname
            widget: string
            required: false
            hint: Gärna med versaler för förkortningens betydelse, tex COMetary Plasma Light InstruMENT
      - label: "Taggar"
        hint: >
          Kommaseparerad lista, ska översättas. Konvention med exempel i parantes: 
          Projekt (ALIS), ämne (norrsken, rymdväder)
        name: "tags"
        widget: list
        required: false
        i18n: true
      - label: "Skapad"
        name: "date"
        widget: "datetime"
        format: "YYYY-MM-DDTHH:mm:ssZ"
        i18n: "duplicate"
        required: true
        default: "{{now}}"
      - label: "Undersida till"
        hint: >
          Används bara när du vill flytta en sida. Ligger den redan "rätt" kan fältet lämnas tomt.
          För rymdmissioner är detta till för undersidor som tex JUICE-touren.
        name: "parent"
        widget: "relation"
        collection: "i-rymden"
        i18n: "duplicate"
        value_field: "{{slug}}"
        display_fields: ["{{title}}"]
        search_fields: ["title"]
        multiple: false
        required: false
  - name: "forskning"
    label: "Forskning"
    label_singular: "sida under Forskning"
    description: "IRFs forskning"
    folder: www/forskning
    media_folder: "/{{media_folder}}"
    public_folder: ""
    i18n: true
    create: true
    delete: true
    sortable_fields: []
    summary: "{{decapsum}}{{slug}}"
    path: "{{dirname | ternary('/','')}}{{dirname}}{{dirname | ternary('/','')}}{{slug}}"
    preview_path: forskning/{{dirname}}/{{filename}}
    fields:
      - name: "decapsum"
        widget: hidden
      - label: "Utvald bild"
        name: "cover"
        i18n: true
        widget: "object"
        fields:
          - widget: "image"
            name: image
            hint: Beskärs automatiskt till 750x410px så för bästa effekt, beskär själv till ca 16:9
            label: "Bild"
            i18n: "duplicate"
            required: false
          - widget: "string"
            label: "Alternativtext (alt)"
            hint: >
              Beskriv som om det vore i radio, tex
              "Instrumentet RPWI ligger på bordet i ett renrum, 
              forskaren Jan-Erik Wahlund inspekterar det iklädd skyddskläder."
              Lämna blankt om bilden är enbart dekorativ 
              (har inget med innehållet att göra).
            name: alt
            i18n: true
            required: false
          - widget: "string"
            name: cred
            required: false
            label: "Credit/copyright"
            i18n: duplicate
            hint: >
              Visas i nedre högra hörnet av utvald bild tillsammans med ©-ikon.
              Format: ORG/Person, ORG2 (tex IRF/Hans Nilsson, ESA).
              Om bilden har en Photographer eller Copyright-tagg i EXIF används den och behöver inte fyllas i här.
      - label: "Titel"
        hint: "Ska inte upprepas i brödtexten"
        name: "title"
        widget: "string"
        i18n: true
      - label: "Brödtext"
        name: "body"
        widget: "richtext"
        buttons:
          - bold
          - italic
          - strikethrough
          - code
          - link
          - heading-two
          - heading-three
          - heading-four
          - heading-five
          - heading-six
          - quote
          - bulleted-list
          - numbered-list
        required: false
        i18n: true
      - label: "Ansvarig för texten"
        hint: "Vem kontaktar man om man har frågor/synpunkter? Inte juridiskt ansvarig (för det är oftast GD) eller den som skrivit."
        name: "author"
        widget: "select"
        options: ["Magnus Wik","Peter Wintoft","Per Danielsson","Peje Nilsson","Fredrik Rutqvist","Mats Luspa","Olle Norberg","Sota Nanjo","Uwe Raffalski","Daria Mikhaylova","Martin Rönnfalk","Urban Brändström","Tomoko Futaana","Stefan Riekkola","Carol Norberg","Jonas Rabia","Hans Nilsson","Martin Wieser","Stas Barabash","Yikyeong Park","Angele Pontoni","Xiao-Dong Wang","Mats Holmström","Umberto Rollero","Jidapa Lakronwat","Manabu Shimoyama","Thomas Maynadié","Hayley Williamson","Yoshifumi Futaana","Gabriella Stenberg Wieser","Johan Kero","Tomoe Taki","Peter Dalin","Samson Moges","Peter Voelger","Daniel Martini","Tima Sergienko","Daniel Kastinen","János Stenszky","Sheila Kirkwood","Richard Johansson","Masatoshi Yamauchi","Lindis Merete Bjoland","Jhassmin Aricoche Del Campo","Juan Carlos Araújo Cabarcas","Anders Lejon","Maria Alvros","Maria Wästle","Anisa Vlassova","Stefan Hedlund","Annika Holmblad","Hjördis Mämmi","Celine Lundqvist","Carina Gunillasson","Cecilia Flemström","Magdalena Wäppling","Annelie Klint Nilsson","Leif Kalla","Csilla Szasz","Tsz-Hin Heung","Hampus Andersson","Lars-Henrik Snow","Andreas Lindström","Magnus Oja","Adrian Duly","Arjun Monga","David Upton","Jonas Olsen","Mate Kerenyi","Vesa Alatalo","Ross McGarrie","Joakim Rotmalm","Robert Labudda","Rikard Ottemark","Stefan Karlsson","Andreas Edström","Daniel Stålnacke","Maximilian Wecker","Jack White","Long Cheng","Erik Vigren","Inaki Vidal","Jan Bergman","Jinghuan Li","Moa Persson","Alice Wallner","Daniel Graham","David Andrews","Louis Richard","Mengmeng Wang","Niklas Edberg","Andrew Dimmock","Harriet George","Konstantin Kim","Anders Eriksson","Cecilia Norgren","Michiko Morooka","Stefan Eriksson","Stephan Buchert","Vanina Lanabere","Atlas Silverhult","Jan-Erik Wahlund","Emiliya Yordanova","Yuri Khotyaintsev","Apostolos Kolokotronis","Thomas Leyser","Jenny Andersson","Jan Karlsson","Reine Gill","Tomi Teppo","Dan Ohlsson","Farid Shiva","Ilona Benko","Walter Puccio","Erik Johansson","Thomas Nilsson","Martin Berglund","Victoria Cripps","Niklas Hällback","Björn Mårtensson","Jesper Fredriksson"]
        i18n: "duplicate"
        multiple: false
        required: true
      - label: "Taggar"
        hint: >
          Kommaseparerad lista, ska översättas. Konvention med exempel i parantes: 
          Projekt (ALIS), ämne (norrsken, rymdväder)
        name: "tags"
        widget: list
        required: false
        i18n: true
      - label: "Skapad"
        name: "date"
        widget: "datetime"
        format: "YYYY-MM-DDTHH:mm:ssZ"
        i18n: "duplicate"
        required: true
        default: "{{now}}"
      - label: "Undersida till"
        hint: >
          Används bara när du vill flytta en sida. Ligger den redan "rätt" kan fältet lämnas tomt.
        name: "parent"
        widget: "relation"
        collection: "forskning"
        i18n: "duplicate"
        value_field: "{{slug}}"
        display_fields: ["{{title}}"]
        search_fields: ["title"]
        multiple: false
        required: false
      - label: Layout
        name: layout
        widget: hidden
  - name: "aktuellt"
    label: "Nyheter"
    label_singular: "nyhet"
    description: >
      Nyheter, publiceras också på Tellus.
    folder: "www/aktuellt"
    media_folder: "/{{media_folder}}"
    public_folder: ""
    i18n: true
    create: true
    delete: true
    summary: "{{year}}-{{month}}-{{day}}: {{slug}}"
    path: "{{year}}/{{month}}-{{day}}-{{slug}}"
    preview_path: aktuellt/{{year}}/{{filename}}
    view_groups:
      - label: Year
        field: date
        pattern: \d{4} # groups items based on the value matched by the pattern
    sortable_fields:
      - commit_date
      - title
    fields:
      - label: "Utvald bild"
        name: "cover"
        widget: "object"
        i18n: true
        fields:
          - widget: "image"
            name: image
            label: "Bild"
            required: false
            hint: >
              Visas i nyhetsflödet på förstasidan. 
              Utan utvald bild visas istället nyheten med alternativ bakgrundsfärg i flödet. 
              Beskärs automatiskt till 750x410px så för bästa effekt, beskär själv till ca 16:9.
            i18n: "duplicate"
          - widget: "string"
            label: "Alternativtext (alt)"
            hint: >
              Beskriv som om det vore i radio, tex
              "Instrumentet RPWI ligger på bordet i ett renrum, 
              forskaren Jan-Erik Wahlund inspekterar det iklädd skyddskläder."
              Lämna blankt om bilden är enbart dekorativ 
              (har inget med innehållet att göra).
            name: alt
            required: false
            i18n: true
          - widget: "string"
            name: cred
            required: false
            label: "Credit/copyright"
            i18n: duplicate
            hint: >
              Visas i nedre högra hörnet av utvald bild tillsammans med ©-ikon.
              Format: ORG/Person, ORG2 (tex IRF/Hans Nilsson, ESA).
              Om bilden har en Photographer eller Copyright-tagg i EXIF används den och behöver inte fyllas i här.
      - label: "Titel"
        hint: "Ska inte upprepas i brödtexten"
        name: "title"
        widget: "string"
        i18n: true
      - label: "Brödtext"
        name: "body"
        widget: "richtext"
        buttons:
          - bold
          - italic
          - strikethrough
          - code
          - link
          - heading-two
          - heading-three
          - heading-four
          - heading-five
          - heading-six
          - quote
          - bulleted-list
          - numbered-list
        required: false
        i18n: true
      - label: "Alias"
        hint: >
          Alternativa url:er, kommaseparerad lista, t.ex. **/norrsken**. 
          Används för att länkar till wordpress-adresser ska fortsätta fungera.
        name: "aliases"
        widget: hidden
        i18n: true
        default: ""
        required: false
      - label: "Kategori"
        hint: >
          Översätts automatiskt.
        name: "category"
        widget: "select"
        i18n: "duplicate"
        options:
          - label: "IRF i media / IRF in media"
            value: "inMedia"
          - label: "Nyheter / News"
            value: "news"
          - label: "Pressmeddelanden / Press release"
            value: "pressRelease"
        default: "news"
      - label: "Omnämningar"
        hint: >
          Anställda som omnämns, länkas till profilsida. Upprepas inte i Taggar.
          Sök på namn, verksamhetsort, forskningsprogram eller roll.
        name: "staff"
        widget: "select"
        i18n: "duplicate"
        options: ["Magnus Wik","Peter Wintoft","Per Danielsson","Peje Nilsson","Fredrik Rutqvist","Mats Luspa","Olle Norberg","Sota Nanjo","Uwe Raffalski","Daria Mikhaylova","Martin Rönnfalk","Urban Brändström","Tomoko Futaana","Stefan Riekkola","Carol Norberg","Jonas Rabia","Hans Nilsson","Martin Wieser","Stas Barabash","Yikyeong Park","Angele Pontoni","Xiao-Dong Wang","Mats Holmström","Umberto Rollero","Jidapa Lakronwat","Manabu Shimoyama","Thomas Maynadié","Hayley Williamson","Yoshifumi Futaana","Gabriella Stenberg Wieser","Johan Kero","Tomoe Taki","Peter Dalin","Samson Moges","Peter Voelger","Daniel Martini","Tima Sergienko","Daniel Kastinen","János Stenszky","Sheila Kirkwood","Richard Johansson","Masatoshi Yamauchi","Lindis Merete Bjoland","Jhassmin Aricoche Del Campo","Juan Carlos Araújo Cabarcas","Anders Lejon","Maria Alvros","Maria Wästle","Anisa Vlassova","Stefan Hedlund","Annika Holmblad","Hjördis Mämmi","Celine Lundqvist","Carina Gunillasson","Cecilia Flemström","Magdalena Wäppling","Annelie Klint Nilsson","Leif Kalla","Csilla Szasz","Tsz-Hin Heung","Hampus Andersson","Lars-Henrik Snow","Andreas Lindström","Magnus Oja","Adrian Duly","Arjun Monga","David Upton","Jonas Olsen","Mate Kerenyi","Vesa Alatalo","Ross McGarrie","Joakim Rotmalm","Robert Labudda","Rikard Ottemark","Stefan Karlsson","Andreas Edström","Daniel Stålnacke","Maximilian Wecker","Jack White","Long Cheng","Erik Vigren","Inaki Vidal","Jan Bergman","Jinghuan Li","Moa Persson","Alice Wallner","Daniel Graham","David Andrews","Louis Richard","Mengmeng Wang","Niklas Edberg","Andrew Dimmock","Harriet George","Konstantin Kim","Anders Eriksson","Cecilia Norgren","Michiko Morooka","Stefan Eriksson","Stephan Buchert","Vanina Lanabere","Atlas Silverhult","Jan-Erik Wahlund","Emiliya Yordanova","Yuri Khotyaintsev","Apostolos Kolokotronis","Thomas Leyser","Jenny Andersson","Jan Karlsson","Reine Gill","Tomi Teppo","Dan Ohlsson","Farid Shiva","Ilona Benko","Walter Puccio","Erik Johansson","Thomas Nilsson","Martin Berglund","Victoria Cripps","Niklas Hällback","Björn Mårtensson","Jesper Fredriksson"]
        value_field: "title"
        display_fields: ["{{title}}"]
        search_fields: ["title", "programme", "job", "office"]
        multiple: true
        required: false
      - label: "Ort"
        hint: "Informationen berör endast någon/några orter, ingen vald betyder alla."
        name: "office"
        widget: hidden
        multiple: true
        required: false
        i18n: "duplicate"
      - label: "Taggar"
        hint: >
          Kommaseparerad lista, ska översättas. Konvention med exempel i parantes: 
          Projekt (ALIS), ämne (norrsken, rymdväder)
        name: "tags"
        widget: list
        required: false
        i18n: true
      - label: "Ansvarig för texten"
        hint: "Vem kontaktar man om man har frågor/synpunkter? Inte juridiskt ansvarig (för det är oftast GD) eller den som skrivit."
        name: "author"
        widget: "select"
        options: ["Magnus Wik","Peter Wintoft","Per Danielsson","Peje Nilsson","Fredrik Rutqvist","Mats Luspa","Olle Norberg","Sota Nanjo","Uwe Raffalski","Daria Mikhaylova","Martin Rönnfalk","Urban Brändström","Tomoko Futaana","Stefan Riekkola","Carol Norberg","Jonas Rabia","Hans Nilsson","Martin Wieser","Stas Barabash","Yikyeong Park","Angele Pontoni","Xiao-Dong Wang","Mats Holmström","Umberto Rollero","Jidapa Lakronwat","Manabu Shimoyama","Thomas Maynadié","Hayley Williamson","Yoshifumi Futaana","Gabriella Stenberg Wieser","Johan Kero","Tomoe Taki","Peter Dalin","Samson Moges","Peter Voelger","Daniel Martini","Tima Sergienko","Daniel Kastinen","János Stenszky","Sheila Kirkwood","Richard Johansson","Masatoshi Yamauchi","Lindis Merete Bjoland","Jhassmin Aricoche Del Campo","Juan Carlos Araújo Cabarcas","Anders Lejon","Maria Alvros","Maria Wästle","Anisa Vlassova","Stefan Hedlund","Annika Holmblad","Hjördis Mämmi","Celine Lundqvist","Carina Gunillasson","Cecilia Flemström","Magdalena Wäppling","Annelie Klint Nilsson","Leif Kalla","Csilla Szasz","Tsz-Hin Heung","Hampus Andersson","Lars-Henrik Snow","Andreas Lindström","Magnus Oja","Adrian Duly","Arjun Monga","David Upton","Jonas Olsen","Mate Kerenyi","Vesa Alatalo","Ross McGarrie","Joakim Rotmalm","Robert Labudda","Rikard Ottemark","Stefan Karlsson","Andreas Edström","Daniel Stålnacke","Maximilian Wecker","Jack White","Long Cheng","Erik Vigren","Inaki Vidal","Jan Bergman","Jinghuan Li","Moa Persson","Alice Wallner","Daniel Graham","David Andrews","Louis Richard","Mengmeng Wang","Niklas Edberg","Andrew Dimmock","Harriet George","Konstantin Kim","Anders Eriksson","Cecilia Norgren","Michiko Morooka","Stefan Eriksson","Stephan Buchert","Vanina Lanabere","Atlas Silverhult","Jan-Erik Wahlund","Emiliya Yordanova","Yuri Khotyaintsev","Apostolos Kolokotronis","Thomas Leyser","Jenny Andersson","Jan Karlsson","Reine Gill","Tomi Teppo","Dan Ohlsson","Farid Shiva","Ilona Benko","Walter Puccio","Erik Johansson","Thomas Nilsson","Martin Berglund","Victoria Cripps","Niklas Hällback","Björn Mårtensson","Jesper Fredriksson"]
        i18n: "duplicate"
        multiple: false
        required: true
      - label: "Skapad"
        name: "date"
        widget: "datetime"
        format: "YYYY-MM-DDTHH:mm:ssZ"
        i18n: "duplicate"
        required: true
        default: "{{now}}"
      - label: "Giltig till"
        hint: >
          Visas inte i nyhetsflödet efter denna datum/tid, 
          men finns kvar här (för att tex kunna förlänga giltighetstiden).
        name: "expiryDate"
        widget: "datetime"
        format: "YYYY-MM-DDTHH:mm:ssZ"
        i18n: "duplicate"
        default: ""
        required: false
      - label: "Fastnålad till"
        hint: '"Pinned", visas överst på förstasidan även när nyare nyheter inkommer fram till denna tid.'
        name: "pinned"
        widget: "datetime"
        format: "YYYY-MM-DDTHH:mm:ssZ"
        i18n: "duplicate"
        default: ""
        required: false
  - name: "karriar"
    label: "Karriär"
    label_singular: "sida under Karriär"
    description: "Employer branding. Utlysta tjänster hämtas från Varbi."
    folder: www/karriar
    media_folder: "/{{media_folder}}"
    public_folder: ""
    i18n: true
    create: true
    delete: true
    sortable_fields: []
    summary: "{{decapsum}}{{slug}}"
    path: "{{dirname | ternary('/','')}}{{dirname}}{{dirname | ternary('/','')}}{{slug}}"
    preview_path: karriar/{{dirname}}/{{filename}}
    fields:
      - name: "decapsum"
        widget: hidden
      - label: "Utvald bild"
        name: "cover"
        i18n: true
        widget: "object"
        fields:
          - widget: "image"
            name: image
            hint: Beskärs automatiskt till 750x410px så för bästa effekt, beskär själv till ca 16:9
            label: "Bild"
            i18n: "duplicate"
            required: false
          - widget: "string"
            label: "Alternativtext (alt)"
            hint: >
              Beskriv som om det vore i radio, tex
              "Instrumentet RPWI ligger på bordet i ett renrum, 
              forskaren Jan-Erik Wahlund inspekterar det iklädd skyddskläder."
              Lämna blankt om bilden är enbart dekorativ 
              (har inget med innehållet att göra).
            name: alt
            i18n: true
            required: false
          - widget: "string"
            name: cred
            required: false
            label: "Credit/copyright"
            i18n: duplicate
            hint: >
              Visas i nedre högra hörnet av utvald bild tillsammans med ©-ikon.
              Format: ORG/Person, ORG2 (tex IRF/Hans Nilsson, ESA).
              Om bilden har en Photographer eller Copyright-tagg i EXIF används den och behöver inte fyllas i här.
      - label: Utvald video
        name: video
        i18n: true
        widget: string
        hint: >
          Kan anges istället för utvald bild och visas på samma plats som en stillbild skulle ha gjort. Du kan ladda upp en videofil via "Media" och kopiera dess sökväg hit. Ange i så fall bara filnamnet (utan katalognamn, tex "assets").
      - label: "Titel"
        hint: "Ska inte upprepas i brödtexten"
        name: "title"
        widget: "string"
        i18n: true
      - label: "Brödtext"
        name: "body"
        widget: "richtext"
        buttons:
          - bold
          - italic
          - strikethrough
          - code
          - link
          - heading-two
          - heading-three
          - heading-four
          - heading-five
          - heading-six
          - quote
          - bulleted-list
          - numbered-list
        required: false
        i18n: true
      - label: "Ansvarig för texten"
        hint: "Vem kontaktar man om man har frågor/synpunkter? Inte juridiskt ansvarig (för det är oftast GD) eller den som skrivit."
        name: "author"
        widget: "select"
        options: ["Magnus Wik","Peter Wintoft","Per Danielsson","Peje Nilsson","Fredrik Rutqvist","Mats Luspa","Olle Norberg","Sota Nanjo","Uwe Raffalski","Daria Mikhaylova","Martin Rönnfalk","Urban Brändström","Tomoko Futaana","Stefan Riekkola","Carol Norberg","Jonas Rabia","Hans Nilsson","Martin Wieser","Stas Barabash","Yikyeong Park","Angele Pontoni","Xiao-Dong Wang","Mats Holmström","Umberto Rollero","Jidapa Lakronwat","Manabu Shimoyama","Thomas Maynadié","Hayley Williamson","Yoshifumi Futaana","Gabriella Stenberg Wieser","Johan Kero","Tomoe Taki","Peter Dalin","Samson Moges","Peter Voelger","Daniel Martini","Tima Sergienko","Daniel Kastinen","János Stenszky","Sheila Kirkwood","Richard Johansson","Masatoshi Yamauchi","Lindis Merete Bjoland","Jhassmin Aricoche Del Campo","Juan Carlos Araújo Cabarcas","Anders Lejon","Maria Alvros","Maria Wästle","Anisa Vlassova","Stefan Hedlund","Annika Holmblad","Hjördis Mämmi","Celine Lundqvist","Carina Gunillasson","Cecilia Flemström","Magdalena Wäppling","Annelie Klint Nilsson","Leif Kalla","Csilla Szasz","Tsz-Hin Heung","Hampus Andersson","Lars-Henrik Snow","Andreas Lindström","Magnus Oja","Adrian Duly","Arjun Monga","David Upton","Jonas Olsen","Mate Kerenyi","Vesa Alatalo","Ross McGarrie","Joakim Rotmalm","Robert Labudda","Rikard Ottemark","Stefan Karlsson","Andreas Edström","Daniel Stålnacke","Maximilian Wecker","Jack White","Long Cheng","Erik Vigren","Inaki Vidal","Jan Bergman","Jinghuan Li","Moa Persson","Alice Wallner","Daniel Graham","David Andrews","Louis Richard","Mengmeng Wang","Niklas Edberg","Andrew Dimmock","Harriet George","Konstantin Kim","Anders Eriksson","Cecilia Norgren","Michiko Morooka","Stefan Eriksson","Stephan Buchert","Vanina Lanabere","Atlas Silverhult","Jan-Erik Wahlund","Emiliya Yordanova","Yuri Khotyaintsev","Apostolos Kolokotronis","Thomas Leyser","Jenny Andersson","Jan Karlsson","Reine Gill","Tomi Teppo","Dan Ohlsson","Farid Shiva","Ilona Benko","Walter Puccio","Erik Johansson","Thomas Nilsson","Martin Berglund","Victoria Cripps","Niklas Hällback","Björn Mårtensson","Jesper Fredriksson"]
        i18n: "duplicate"
        multiple: false
        required: true
      - label: "Taggar"
        hint: >
          Kommaseparerad lista, ska översättas. Konvention med exempel i parantes: 
          Projekt (ALIS), ämne (norrsken, rymdväder)
        name: "tags"
        widget: list
        required: false
        i18n: true
      - label: "Skapad"
        name: "date"
        widget: "datetime"
        format: "YYYY-MM-DDTHH:mm:ssZ"
        i18n: "duplicate"
        required: true
        default: "{{now}}"
      - label: "Undersida till"
        hint: >
          Används bara när du vill flytta en sida. Ligger den redan "rätt" kan fältet lämnas tomt.
        name: "parent"
        widget: "relation"
        collection: "karriar"
        i18n: "duplicate"
        value_field: "{{slug}}"
        display_fields: ["{{title}}"]
        search_fields: ["title"]
        multiple: false
        required: false
      - label: Layout
        name: layout
        widget: hidden
  - name: "pressrum"
    label: "Pressrum"
    label_singular: "sida under Pressrum"
    description: "Pressmaterial"
    folder: www/pressrum
    media_folder: "/{{media_folder}}"
    public_folder: ""
    i18n: true
    create: true
    delete: true
    sortable_fields: []
    summary: "{{decapsum}}{{slug}}"
    path: "{{dirname | ternary('/','')}}{{dirname}}{{dirname | ternary('/','')}}{{slug}}"
    preview_path: pressrum/{{dirname}}/{{filename}}
    fields:
      - name: "decapsum"
        widget: hidden
      - label: "Utvald bild"
        name: "cover"
        i18n: true
        widget: "object"
        fields:
          - widget: "image"
            name: image
            hint: Beskärs automatiskt till 750x410px så för bästa effekt, beskär själv till ca 16:9
            label: "Bild"
            i18n: "duplicate"
            required: false
          - widget: "string"
            label: "Alternativtext (alt)"
            hint: >
              Beskriv som om det vore i radio, tex
              "Instrumentet RPWI ligger på bordet i ett renrum, 
              forskaren Jan-Erik Wahlund inspekterar det iklädd skyddskläder."
              Lämna blankt om bilden är enbart dekorativ 
              (har inget med innehållet att göra).
            name: alt
            i18n: true
            required: false
          - widget: "string"
            name: cred
            required: false
            label: "Credit/copyright"
            i18n: duplicate
            hint: >
              Visas i nedre högra hörnet av utvald bild tillsammans med ©-ikon.
              Format: ORG/Person, ORG2 (tex IRF/Hans Nilsson, ESA).
              Om bilden har en Photographer eller Copyright-tagg i EXIF används den och behöver inte fyllas i här.
      - label: "Titel"
        hint: "Ska inte upprepas i brödtexten"
        name: "title"
        widget: "string"
        i18n: true
      - label: "Brödtext"
        name: "body"
        widget: "richtext"
        buttons:
          - bold
          - italic
          - strikethrough
          - code
          - link
          - heading-two
          - heading-three
          - heading-four
          - heading-five
          - heading-six
          - quote
          - bulleted-list
          - numbered-list
        required: false
        i18n: true
      - label: "Ansvarig för texten"
        hint: "Vem kontaktar man om man har frågor/synpunkter? Inte juridiskt ansvarig (för det är oftast GD) eller den som skrivit."
        name: "author"
        widget: "select"
        options: ["Magnus Wik","Peter Wintoft","Per Danielsson","Peje Nilsson","Fredrik Rutqvist","Mats Luspa","Olle Norberg","Sota Nanjo","Uwe Raffalski","Daria Mikhaylova","Martin Rönnfalk","Urban Brändström","Tomoko Futaana","Stefan Riekkola","Carol Norberg","Jonas Rabia","Hans Nilsson","Martin Wieser","Stas Barabash","Yikyeong Park","Angele Pontoni","Xiao-Dong Wang","Mats Holmström","Umberto Rollero","Jidapa Lakronwat","Manabu Shimoyama","Thomas Maynadié","Hayley Williamson","Yoshifumi Futaana","Gabriella Stenberg Wieser","Johan Kero","Tomoe Taki","Peter Dalin","Samson Moges","Peter Voelger","Daniel Martini","Tima Sergienko","Daniel Kastinen","János Stenszky","Sheila Kirkwood","Richard Johansson","Masatoshi Yamauchi","Lindis Merete Bjoland","Jhassmin Aricoche Del Campo","Juan Carlos Araújo Cabarcas","Anders Lejon","Maria Alvros","Maria Wästle","Anisa Vlassova","Stefan Hedlund","Annika Holmblad","Hjördis Mämmi","Celine Lundqvist","Carina Gunillasson","Cecilia Flemström","Magdalena Wäppling","Annelie Klint Nilsson","Leif Kalla","Csilla Szasz","Tsz-Hin Heung","Hampus Andersson","Lars-Henrik Snow","Andreas Lindström","Magnus Oja","Adrian Duly","Arjun Monga","David Upton","Jonas Olsen","Mate Kerenyi","Vesa Alatalo","Ross McGarrie","Joakim Rotmalm","Robert Labudda","Rikard Ottemark","Stefan Karlsson","Andreas Edström","Daniel Stålnacke","Maximilian Wecker","Jack White","Long Cheng","Erik Vigren","Inaki Vidal","Jan Bergman","Jinghuan Li","Moa Persson","Alice Wallner","Daniel Graham","David Andrews","Louis Richard","Mengmeng Wang","Niklas Edberg","Andrew Dimmock","Harriet George","Konstantin Kim","Anders Eriksson","Cecilia Norgren","Michiko Morooka","Stefan Eriksson","Stephan Buchert","Vanina Lanabere","Atlas Silverhult","Jan-Erik Wahlund","Emiliya Yordanova","Yuri Khotyaintsev","Apostolos Kolokotronis","Thomas Leyser","Jenny Andersson","Jan Karlsson","Reine Gill","Tomi Teppo","Dan Ohlsson","Farid Shiva","Ilona Benko","Walter Puccio","Erik Johansson","Thomas Nilsson","Martin Berglund","Victoria Cripps","Niklas Hällback","Björn Mårtensson","Jesper Fredriksson"]
        i18n: "duplicate"
        multiple: false
        required: true
      - label: "Taggar"
        hint: >
          Kommaseparerad lista, ska översättas. Konvention med exempel i parantes: 
          Projekt (ALIS), ämne (norrsken, rymdväder)
        name: "tags"
        widget: list
        required: false
        i18n: true
      - label: "Skapad"
        name: "date"
        widget: "datetime"
        format: "YYYY-MM-DDTHH:mm:ssZ"
        i18n: "duplicate"
        required: true
        default: "{{now}}"
      - label: "Undersida till"
        hint: >
          Används bara när du vill flytta en sida. Ligger den redan "rätt" kan fältet lämnas tomt.
        name: "parent"
        widget: "relation"
        collection: "pressrum"
        i18n: "duplicate"
        value_field: "{{slug}}"
        display_fields: ["{{title}}"]
        search_fields: ["title"]
        multiple: false
        required: false
      - label: Layout
        name: layout
        widget: hidden
  - name: "kontakt"
    label: "Kontakt"
    label_singular: "sida under Kontakt"
    description: >
      Information om hur man kontaktar IRF. Enskilda medarbetares kontaktuppgifter laddas in från LDAP-databasen.
    folder: www/kontakt
    media_folder: "/{{media_folder}}"
    public_folder: ""
    i18n: true
    create: true
    delete: true
    sortable_fields: []
    summary: "{{decapsum}}{{slug}}"
    path: "{{dirname | ternary('/','')}}{{dirname}}{{dirname | ternary('/','')}}{{slug}}"
    preview_path: kontakt/{{dirname}}/{{filename}}
    fields:
      - name: "decapsum"
        widget: hidden
      - label: "Utvald bild"
        name: "cover"
        i18n: true
        widget: "object"
        fields:
          - widget: "image"
            name: image
            hint: Beskärs automatiskt till 750x410px så för bästa effekt, beskär själv till ca 16:9
            label: "Bild"
            i18n: "duplicate"
            required: false
          - widget: "string"
            label: "Alternativtext (alt)"
            hint: >
              Beskriv som om det vore i radio, tex
              "Instrumentet RPWI ligger på bordet i ett renrum, 
              forskaren Jan-Erik Wahlund inspekterar det iklädd skyddskläder."
              Lämna blankt om bilden är enbart dekorativ 
              (har inget med innehållet att göra).
            name: alt
            i18n: true
            required: false
          - widget: "string"
            name: cred
            required: false
            label: "Credit/copyright"
            i18n: duplicate
            hint: >
              Visas i nedre högra hörnet av utvald bild tillsammans med ©-ikon.
              Format: ORG/Person, ORG2 (tex IRF/Hans Nilsson, ESA).
              Om bilden har en Photographer eller Copyright-tagg i EXIF används den och behöver inte fyllas i här.
      - label: "Titel"
        hint: "Ska inte upprepas i brödtexten"
        name: "title"
        widget: "string"
        i18n: true
      - label: "Brödtext"
        name: "body"
        widget: "richtext"
        buttons:
          - bold
          - italic
          - strikethrough
          - code
          - link
          - heading-two
          - heading-three
          - heading-four
          - heading-five
          - heading-six
          - quote
          - bulleted-list
          - numbered-list
        required: false
        i18n: true
      - label: "Ansvarig för texten"
        hint: "Vem kontaktar man om man har frågor/synpunkter? Inte juridiskt ansvarig (för det är oftast GD) eller den som skrivit."
        name: "author"
        widget: "select"
        options: ["Magnus Wik","Peter Wintoft","Per Danielsson","Peje Nilsson","Fredrik Rutqvist","Mats Luspa","Olle Norberg","Sota Nanjo","Uwe Raffalski","Daria Mikhaylova","Martin Rönnfalk","Urban Brändström","Tomoko Futaana","Stefan Riekkola","Carol Norberg","Jonas Rabia","Hans Nilsson","Martin Wieser","Stas Barabash","Yikyeong Park","Angele Pontoni","Xiao-Dong Wang","Mats Holmström","Umberto Rollero","Jidapa Lakronwat","Manabu Shimoyama","Thomas Maynadié","Hayley Williamson","Yoshifumi Futaana","Gabriella Stenberg Wieser","Johan Kero","Tomoe Taki","Peter Dalin","Samson Moges","Peter Voelger","Daniel Martini","Tima Sergienko","Daniel Kastinen","János Stenszky","Sheila Kirkwood","Richard Johansson","Masatoshi Yamauchi","Lindis Merete Bjoland","Jhassmin Aricoche Del Campo","Juan Carlos Araújo Cabarcas","Anders Lejon","Maria Alvros","Maria Wästle","Anisa Vlassova","Stefan Hedlund","Annika Holmblad","Hjördis Mämmi","Celine Lundqvist","Carina Gunillasson","Cecilia Flemström","Magdalena Wäppling","Annelie Klint Nilsson","Leif Kalla","Csilla Szasz","Tsz-Hin Heung","Hampus Andersson","Lars-Henrik Snow","Andreas Lindström","Magnus Oja","Adrian Duly","Arjun Monga","David Upton","Jonas Olsen","Mate Kerenyi","Vesa Alatalo","Ross McGarrie","Joakim Rotmalm","Robert Labudda","Rikard Ottemark","Stefan Karlsson","Andreas Edström","Daniel Stålnacke","Maximilian Wecker","Jack White","Long Cheng","Erik Vigren","Inaki Vidal","Jan Bergman","Jinghuan Li","Moa Persson","Alice Wallner","Daniel Graham","David Andrews","Louis Richard","Mengmeng Wang","Niklas Edberg","Andrew Dimmock","Harriet George","Konstantin Kim","Anders Eriksson","Cecilia Norgren","Michiko Morooka","Stefan Eriksson","Stephan Buchert","Vanina Lanabere","Atlas Silverhult","Jan-Erik Wahlund","Emiliya Yordanova","Yuri Khotyaintsev","Apostolos Kolokotronis","Thomas Leyser","Jenny Andersson","Jan Karlsson","Reine Gill","Tomi Teppo","Dan Ohlsson","Farid Shiva","Ilona Benko","Walter Puccio","Erik Johansson","Thomas Nilsson","Martin Berglund","Victoria Cripps","Niklas Hällback","Björn Mårtensson","Jesper Fredriksson"]
        i18n: "duplicate"
        multiple: false
        required: true
      - label: "Taggar"
        hint: >
          Kommaseparerad lista, ska översättas. Konvention med exempel i parantes: 
          Projekt (ALIS), ämne (norrsken, rymdväder)
        name: "tags"
        widget: list
        required: false
        i18n: true
      - label: "Skapad"
        name: "date"
        widget: "datetime"
        format: "YYYY-MM-DDTHH:mm:ssZ"
        i18n: "duplicate"
        required: true
        default: "{{now}}"
      - label: "Undersida till"
        hint: >
          Används bara när du vill flytta en sida. Ligger den redan "rätt" kan fältet lämnas tomt.
        name: "parent"
        widget: "relation"
        collection: "kontakt"
        i18n: "duplicate"
        value_field: "{{slug}}"
        display_fields: ["{{title}}"]
        search_fields: ["title"]
        multiple: false
        required: false
      - label: Layout
        name: layout
        widget: hidden
  - name: "hero"
    label: "Special: Heroes (förstasidan)"
    label_singular: "Hero"
    description: "Bildspelsdelar till förstasidan. Notera: Preview i CMS är långt ifrån rättvisande för denna innehållstyp."
    folder: www/hero
    media_folder: "/{{media_folder}}"
    public_folder: ""
    i18n: true
    create: true
    delete: true
    preview_path: ""
    fields:
      - label: "Hero-bild"
        name: "cover"
        i18n: true
        widget: "object"
        fields:
          - widget: "image"
            name: image
            hint: Beskärs/skalas automatiskt till 1500x500px, så för bästa effekt, beskär själv till 3:1 med minst den upplösningen.
            label: "Bild"
            i18n: "duplicate"
            required: true
          - widget: "string"
            label: "Alternativtext (alt)"
            hint: >
              Beskriv som om det vore i radio, tex
              "Instrumentet RPWI ligger på bordet i ett renrum, 
              forskaren Jan-Erik Wahlund inspekterar det iklädd skyddskläder."
              Lämna blankt om bilden är enbart dekorativ 
              (har inget med innehållet att göra).
            name: alt
            i18n: true
            required: false
          - widget: "string"
            name: cred
            required: false
            label: "Credit/copyright"
            i18n: "duplicate"
            hint: >
              Visas i nedre högra hörnet av utvald bild tillsammans med ©-ikon.
              Format: ORG/Person, ORG2 (tex IRF/Hans Nilsson, ESA).
              Om bilden har en Photographer eller Copyright-tagg i EXIF används den och behöver inte fyllas i här.
      - label: "Titel"
        hint: "Visas som rubrik i cirkeln, ska inte upprepas i brödtexten. Håll den kort."
        name: "title"
        widget: "string"
        i18n: true
        required: true
      - label: "Brödtext"
        name: "body"
        widget: "richtext"
        buttons:
          - bold
          - italic
          - strikethrough
          - code
          - link
          - heading-two
          - heading-three
          - heading-four
          - heading-five
          - heading-six
          - quote
          - bulleted-list
          - numbered-list
        required: false
        hint: Visas mellan rubrik och länk-knapp. Max ca 50 tecken, en mening.
        i18n: true
      - label: Knapptext, "call-to-action"
        hint: Uppmuntra till någon aktivitet eller beskriv var man hamnar härnäst, undvik ordet "klicka"
        name: action
        i18n: true
        required: true
      - label: "Länk"
        name: link
        hint: Var hamnar man vid knapptryck? Anges som webbaddress, antingen bara sökvägen (det efter irf.se) eller fullständig address.
        i18n: true
        required: true
      - label: "Ansvarig för texten"
        hint: >
          Vem kontaktar man om man har frågor/synpunkter? Inte juridiskt ansvarig (för det är oftast GD) eller den som skrivit.
          Visas aldrig, men är bra som metadata utifall vi vill visa det i framtiden.
        name: "author"
        widget: "select"
        options: ["Magnus Wik","Peter Wintoft","Per Danielsson","Peje Nilsson","Fredrik Rutqvist","Mats Luspa","Olle Norberg","Sota Nanjo","Uwe Raffalski","Daria Mikhaylova","Martin Rönnfalk","Urban Brändström","Tomoko Futaana","Stefan Riekkola","Carol Norberg","Jonas Rabia","Hans Nilsson","Martin Wieser","Stas Barabash","Yikyeong Park","Angele Pontoni","Xiao-Dong Wang","Mats Holmström","Umberto Rollero","Jidapa Lakronwat","Manabu Shimoyama","Thomas Maynadié","Hayley Williamson","Yoshifumi Futaana","Gabriella Stenberg Wieser","Johan Kero","Tomoe Taki","Peter Dalin","Samson Moges","Peter Voelger","Daniel Martini","Tima Sergienko","Daniel Kastinen","János Stenszky","Sheila Kirkwood","Richard Johansson","Masatoshi Yamauchi","Lindis Merete Bjoland","Jhassmin Aricoche Del Campo","Juan Carlos Araújo Cabarcas","Anders Lejon","Maria Alvros","Maria Wästle","Anisa Vlassova","Stefan Hedlund","Annika Holmblad","Hjördis Mämmi","Celine Lundqvist","Carina Gunillasson","Cecilia Flemström","Magdalena Wäppling","Annelie Klint Nilsson","Leif Kalla","Csilla Szasz","Tsz-Hin Heung","Hampus Andersson","Lars-Henrik Snow","Andreas Lindström","Magnus Oja","Adrian Duly","Arjun Monga","David Upton","Jonas Olsen","Mate Kerenyi","Vesa Alatalo","Ross McGarrie","Joakim Rotmalm","Robert Labudda","Rikard Ottemark","Stefan Karlsson","Andreas Edström","Daniel Stålnacke","Maximilian Wecker","Jack White","Long Cheng","Erik Vigren","Inaki Vidal","Jan Bergman","Jinghuan Li","Moa Persson","Alice Wallner","Daniel Graham","David Andrews","Louis Richard","Mengmeng Wang","Niklas Edberg","Andrew Dimmock","Harriet George","Konstantin Kim","Anders Eriksson","Cecilia Norgren","Michiko Morooka","Stefan Eriksson","Stephan Buchert","Vanina Lanabere","Atlas Silverhult","Jan-Erik Wahlund","Emiliya Yordanova","Yuri Khotyaintsev","Apostolos Kolokotronis","Thomas Leyser","Jenny Andersson","Jan Karlsson","Reine Gill","Tomi Teppo","Dan Ohlsson","Farid Shiva","Ilona Benko","Walter Puccio","Erik Johansson","Thomas Nilsson","Martin Berglund","Victoria Cripps","Niklas Hällback","Björn Mårtensson","Jesper Fredriksson"]
        i18n: "duplicate"
        multiple: false
        required: false
      - label: "Skapad"
        name: "date"
        widget: "datetime"
        format: "YYYY-MM-DDTHH:mm:ssZ"
        i18n: "duplicate"
        required: true
        default: "{{now}}"
  - name: "om-webbplatsen"
    label: "Special: Sidfot"
    label_singular: "sida under 'Om webbplatsen'"
    description: "Tillgänglighetsredogörelse, personuppgiftshantering etc för meta-info om sidan. Listas i sidfot, inte i huvudmeny"
    folder: www/om-webbplatsen
    media_folder: "/{{media_folder}}"
    public_folder: ""
    i18n: true
    create: true
    delete: true
    sortable_fields: []
    summary: "{{decapsum}}{{slug}}"
    path: "{{dirname | ternary('/','')}}{{dirname}}{{dirname | ternary('/','')}}{{slug}}"
    preview_path: om-webbplatsen/{{slug}}
    fields:
      - name: "decapsum"
        widget: hidden
      - label: "Utvald bild"
        name: "cover"
        i18n: true
        widget: "object"
        fields:
          - widget: "image"
            name: image
            hint: Beskärs automatiskt till 750x410px så för bästa effekt, beskär själv till ca 16:9
            label: "Bild"
            i18n: "duplicate"
            required: false
          - widget: "string"
            label: "Alternativtext (alt)"
            hint: >
              Beskriv som om det vore i radio, tex
              "Instrumentet RPWI ligger på bordet i ett renrum, 
              forskaren Jan-Erik Wahlund inspekterar det iklädd skyddskläder."
              Lämna blankt om bilden är enbart dekorativ 
              (har inget med innehållet att göra).
            name: alt
            i18n: true
            required: false
          - widget: "string"
            name: cred
            required: false
            label: "Credit/copyright"
            i18n: duplicate
            hint: >
              Visas i nedre högra hörnet av utvald bild tillsammans med ©-ikon.
              Format: ORG/Person, ORG2 (tex IRF/Hans Nilsson, ESA).
              Om bilden har en Photographer eller Copyright-tagg i EXIF används den och behöver inte fyllas i här.
      - label: "Titel"
        hint: "Ska inte upprepas i brödtexten"
        name: "title"
        widget: "string"
        i18n: true
      - label: "Numrerade rubriknivåer"
        hint: "Numrerar automatiskt rubriker och innehållsförteckning 1.1, 1.2, 1.2.1 osv. Visas inte i förhandsvisningen."
        name: "numberedHeadings"
        default: false
        required: false
        widget: "boolean"
        i18n: "duplicate"
      - label: "Brödtext"
        name: "body"
        widget: "richtext"
        buttons:
          - bold
          - italic
          - strikethrough
          - code
          - link
          - heading-two
          - heading-three
          - heading-four
          - heading-five
          - heading-six
          - quote
          - bulleted-list
          - numbered-list
        required: false
        i18n: true
      - label: "Ansvarig för texten"
        hint: "Vem kontaktar man om man har frågor/synpunkter? Inte juridiskt ansvarig (för det är oftast GD)."
        name: "author"
        widget: "select"
        options: ["Magnus Wik","Peter Wintoft","Per Danielsson","Peje Nilsson","Fredrik Rutqvist","Mats Luspa","Olle Norberg","Sota Nanjo","Uwe Raffalski","Daria Mikhaylova","Martin Rönnfalk","Urban Brändström","Tomoko Futaana","Stefan Riekkola","Carol Norberg","Jonas Rabia","Hans Nilsson","Martin Wieser","Stas Barabash","Yikyeong Park","Angele Pontoni","Xiao-Dong Wang","Mats Holmström","Umberto Rollero","Jidapa Lakronwat","Manabu Shimoyama","Thomas Maynadié","Hayley Williamson","Yoshifumi Futaana","Gabriella Stenberg Wieser","Johan Kero","Tomoe Taki","Peter Dalin","Samson Moges","Peter Voelger","Daniel Martini","Tima Sergienko","Daniel Kastinen","János Stenszky","Sheila Kirkwood","Richard Johansson","Masatoshi Yamauchi","Lindis Merete Bjoland","Jhassmin Aricoche Del Campo","Juan Carlos Araújo Cabarcas","Anders Lejon","Maria Alvros","Maria Wästle","Anisa Vlassova","Stefan Hedlund","Annika Holmblad","Hjördis Mämmi","Celine Lundqvist","Carina Gunillasson","Cecilia Flemström","Magdalena Wäppling","Annelie Klint Nilsson","Leif Kalla","Csilla Szasz","Tsz-Hin Heung","Hampus Andersson","Lars-Henrik Snow","Andreas Lindström","Magnus Oja","Adrian Duly","Arjun Monga","David Upton","Jonas Olsen","Mate Kerenyi","Vesa Alatalo","Ross McGarrie","Joakim Rotmalm","Robert Labudda","Rikard Ottemark","Stefan Karlsson","Andreas Edström","Daniel Stålnacke","Maximilian Wecker","Jack White","Long Cheng","Erik Vigren","Inaki Vidal","Jan Bergman","Jinghuan Li","Moa Persson","Alice Wallner","Daniel Graham","David Andrews","Louis Richard","Mengmeng Wang","Niklas Edberg","Andrew Dimmock","Harriet George","Konstantin Kim","Anders Eriksson","Cecilia Norgren","Michiko Morooka","Stefan Eriksson","Stephan Buchert","Vanina Lanabere","Atlas Silverhult","Jan-Erik Wahlund","Emiliya Yordanova","Yuri Khotyaintsev","Apostolos Kolokotronis","Thomas Leyser","Jenny Andersson","Jan Karlsson","Reine Gill","Tomi Teppo","Dan Ohlsson","Farid Shiva","Ilona Benko","Walter Puccio","Erik Johansson","Thomas Nilsson","Martin Berglund","Victoria Cripps","Niklas Hällback","Björn Mårtensson","Jesper Fredriksson"]
        i18n: "duplicate"
        multiple: false
        required: true
      - label: "Taggar"
        hint: >
          Kommaseparerad lista, ska översättas. Konvention med exempel i parantes: 
          Projekt (ALIS), ämne (norrsken, rymdväder)
        name: "tags"
        widget: list
        required: false
        i18n: true
      - label: "Skapad"
        name: "date"
        widget: "datetime"
        format: "YYYY-MM-DDTHH:mm:ssZ"
        i18n: "duplicate"
        required: true
        default: "{{now}}"
      - label: "Undersida till"
        hint: >
          Används bara när du vill flytta en sida. Ligger den redan "rätt" kan fältet lämnas tomt.
        name: "parent"
        widget: "relation"
        collection: "om-webbplatsen"
        i18n: "duplicate"
        value_field: "{{slug}}"
        display_fields: ["{{title}}"]
        search_fields: ["title"]
        multiple: false
        required: false
